#ifndef GL_REACT_NATIVE_DEMO_EXECUTOR_H
#define GL_REACT_NATIVE_DEMO_EXECUTOR_H

#include <functional>
#include <thread>

// 模拟线程池执行器
class Executor {
public:
    void execute(std::function<void()> task) {
        std::thread t(task);
        t.detach();
    }
};
#endif //GL_REACT_NATIVE_DEMO_EXECUTOR_H
